/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#ifndef __EBI_LINE_H
#define __EBI_LINE_H

#include "ebi_config.h"
#include "ebi_container.h"

__EBI_BEGIN_NAMESPACE

class Line : public Container
{
 public:
  Line ();
  virtual ~Line ();

  virtual void updateLayout (PNT* pos, W max);
};
  
typedef std::list<Line*>Lines;
  
__EBI_END_NAMESPACE

#endif /* __EBI_LINE_H */
