/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#ifndef __EBI_H
#define __EBI_H

#include "ebi_config.h"
#include "ebi_fusen.h"
#include "ebi_mainwindow.h"
#include "ebi_menu.h"
#include "ebi_book.h"
#include "ebi_pageset.h"

__EBI_BEGIN_NAMESPACE

extern Fusen g_fusen;
extern MainWindow g_window;
extern Menu g_menu;
extern Book g_book;
extern PageSet g_pageSet;

class Reference;

void openSubbookTitlePage ();
void openReferencePage (const Reference* reference);
void killMe (W exit_code);

__EBI_END_NAMESPACE

#endif /* __EBI_H */
