/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#ifndef __EBI_ERROR_H
#define __EBI_ERROR_H

#include "ebi_config.h"

__EBI_BEGIN_NAMESPACE

class Error
{
 public:
  Error ();

 public:
  static EB_Error_Code s_error;

  static void outputMessage (const char *str);
  static void outputMessageEB (const char *str);
  static void outputMessageBV (const char *str, ERR err);
  static void outputMessageHook (EB_Hook_Code code);
};

__EBI_END_NAMESPACE

#endif /* __EBI_ERROR_H */
